Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.io
Class DataReader

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.commons.digester.Digester
              org.apache.ddlutils.io.DataReader

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class DataReader

extends Digester

Reads data XML into dyna beans matching a specified database model. Note that the data sink won't be started or ended by the data reader, this has to be done in the code that uses the data reader.

Version:
  $Revision: 289996 $

Field Summary

Fields inherited from class org.apache.commons.digester.Digester
`bodyText, bodyTexts, classLoader, configured, entityResolver, entityValidator, errorHandler, factory, JAXP_SCHEMA_LANGUAGE, locator, log, match, matches, namespaceAware, namespaces, params, parser, publicId, reader, root, rules, saxLog, schemaLanguage, schemaLocation, stack, substitutor, useContextClassLoader, validating, W3C_XML_SCHEMA`

Constructor Summary
`DataReader()`

Method Summary
`protected void` | `configure()`
`ConverterConfiguration` | `getConverterConfiguration()` Returns the converter configuration of this data reader.
`Database` | `getModel()` Returns the database model.
`DataSink` | `getSink()` Returns the data sink.
`boolean` | `isCaseSensitive()` Determines whether this rules object matches case sensitively.
`void` | `setCaseSensitive(boolean beCaseSensitive)` Specifies whether this rules object shall match case sensitively.
`void` | `setModel(Database model)` Sets the database model.
`void` | `setSink(DataSink sink)` Sets the data sink.

Methods inherited from class org.apache.commons.digester.Digester
`addBeanPropertySetter, addBeanPropertySetter, addCallMethod, addCallMethod, addCallMethod, addCallMethod, addCallParam, addCallParam, addCallParam, addCallParam, addCallParamPath, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addObjectCreate, addObjectCreate, addObjectCreate, addObjectCreate, addObjectParam, addRule, addRuleSet, addSetNestedProperties, addSetNestedProperties, addSetNestedProperties, addSetNext, addSetNext, addSetProperties, addSetProperties, addSetProperties, addSetProperty, addSetRoot, addSetRoot, addSetTop, addSetTop, characters, clear, createSAXException, createSAXException, createSAXException, endDocument, endElement, endPrefixMapping, error, fatalError, findNamespaceURI, getClassLoader, getCount, getCurrentElementName, getCustomContentHandler, getDebug, getDocumentLocator, getEntityResolver, getErrorHandler, getFactory, getFeature, getLogger, getMatch, getNamespaceAware, getParser, getProperty, getPublicId, getReader, getRoot, getRuleNamespaceURI, getRules, getSAXLogger, getSchema, getSchemaLanguage, getSubstitutor, getUseContextClassLoader, getValidating, getXMLReader, ignorableWhitespace, initialize, isEmpty, log, log, notationDecl, parse, parse, parse, parse, parse, peek, peek, peek, peek, peekParams, peekParams, pop, pop, popParams, processingInstruction, push, push, pushParams, register, resetRoot, resolveEntity, setClassLoader, setCustomContentHandler, setDebug, setDocumentLocator, setEntityResolver, setErrorHandler, setFeature, setLogger, setNamespaceAware, setProperty, setPublicId, setRuleNamespaceURI, setRules, setSAXLogger, setSchema, setSchemaLanguage, setSubstitutor, setUseContextClassLoader, setValidating, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataReader

    public DataReader()

Method Detail

### getConverterConfiguration

    public ConverterConfiguration getConverterConfiguration()

  Returns the converter configuration of this data reader.

  Returns:
    The converter configuration

### getModel

    public Database getModel()

  Returns the database model.

  Returns:
    The model

### setModel

    public void setModel(Database model)

  Sets the database model.

  Parameters:
    `model` - The model

### getSink

    public DataSink getSink()

  Returns the data sink.

  Returns:
    The sink

### setSink

    public void setSink(DataSink sink)

  Sets the data sink.

  Parameters:
    `sink` - The sink

### isCaseSensitive

    public boolean isCaseSensitive()

  Determines whether this rules object matches case sensitively.

  Returns:
    `true` if the case of the pattern matters

### setCaseSensitive

    public void setCaseSensitive(boolean beCaseSensitive)

  Specifies whether this rules object shall match case sensitively.

  Parameters:
    `beCaseSensitive` - `true` if the case of the pattern shall matter

### configure

    protected void configure()

  Overrides:
    `configure` in class `Digester`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.